module.exports = function(grunt) {
  grunt.loadNpmTasks('grunt-contrib-sass');
  grunt.loadNpmTasks('grunt-contrib-watch');
  grunt.loadNpmTasks('grunt-contrib-cssmin');

  grunt.initConfig({

    sass: {
      dist: {
        files: [{
            expand: true,
            cwd: './assets/sass/',
            src: ['**/*.scss'],
            dest: './assets/css/',
            ext: '.css'
        }]
      }
    },

    watch:{
      compilesass: {
        files: ['./assets/sass/**/*.scss'],
        tasks: ['sass'],
      },
    },

    cssmin: {
      target: {
        files: [{
          expand: true,
          cwd: './assets/css/',
          src: ['*.css', '!*.min.css'],
          dest: './assets/css/',
          ext: '.min.css'
        }]
      }
    },

  });

  grunt.registerTask('default', ['sass', 'watch']);
};
